
drop table if exists Student;
drop table if exists Scholarship;

create table Student ( 
  s_id int , 
  s_name varchar(64), 
  address varchar(128),  
  major varchar(32)
) 
PARTITION BY GRID (s_id) TO 2 NODES WITH  mod (2);

create table Scholarship ( 
  s_id int ,   
  scholarship varchar(64) ,  
  amount int
)
PARTITION BY GRID (s_id) TO 2 NODES WITH  mod (2);

insert into Student values (101,'Peter','Edmonton','CS');
insert into Student values (102,'Sarah','Calgary','CS');
insert into Student values (103,'Tom','Edmonton','Math');
insert into Student values (104,'Michelle','Toronto','Math');

insert into Scholarship values (102,'Ruthford',3000);
insert into Scholarship values (103,'Ruthford',3000);
insert into Scholarship values (103,'NSERC',6000);


-- Find all students with their scholarship and amount
SELECT s.s_id, s_name, scholarship,amount
FROM   Student s, Scholarship p
WHERE  s.s_id = p.s_id;


SELECT count(*)
FROM   Student
WHERE  s_id in (SELECT s_id FROM Scholarship );

SELECT *
FROM   Student
WHERE  s_id in (SELECT s_id FROM Scholarship where amount > 3000);

