/*
 *  To demo how to create a table using the AS SELECT statement
 */
DROP TABLE IF EXISTS base_db;
DROP TABLE IF EXISTS sample_db;

-- create a base table for the demo
CREATE TABLE base_db(
   t1 int primary key,
   t2 varchar(100),
   t3 int
)
PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);

insert into base_db values(10, 'just do it', 100);
insert into base_db values(11, 'yes we can', 101);
insert into base_db values(20, 'just say no', 201);
insert into base_db values(21, 'be cool', 202);

SELECT * FROM base_db;

-- create a table using the AS SELECT statement with the GRID partition
CREATE TABLE sample3(t1 int,t2 varchar(100),t3 int) AS SELECT * FROM base_db,PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);
CREATE TABLE sample_db(
  t1 int,
  t2 varchar(100),
  t3 int)
SELECT * FROM base_db,
PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);

SELECT * FROM sample_db;

-- to create a temp table
CREATE TEMPORARY TABLE temp1 (
  t1 int, 
  t2 varchar(100), 
  t3 int
) 
SELECT * FROM base_db;

SELECT * FROM temp1;

-- to create a temp table
CREATE TEMPORARY TABLE temp2 (
  t1 int, 
  t2 varchar(100)
) 
SELECT t1, t2 FROM base_db;

SELECT * FROM temp2;

-- DROP TABLE sqltest.temp1;
-- DROP TABLE sqltest.temp2;

-- DROP TEMPORARY TABLE sqltest.temp1;
-- DROP TEMPORARY TABLE sqltest.temp2;
