
DROP TABLE student;
DROP TABLE scholarship;

CREATE TABLE Student ( 
  s_id int , 
  s_name varchar(64), 
  address varchar(128),  
  major varchar(32)
) 
PARTITION BY GRID (s_id) TO 2 NODES WITH  mod (2);

CREATE TABLE Scholarship ( 
  s_id int ,   
  scholarship varchar(64) ,  
  amount int
)
PARTITION BY GRID (s_id) TO 2 NODES WITH  mod (2);

insert into Student values (101,'Peter','Edmonton','CS');
insert into Student values (102,'Sarah','Calgary','CS');
insert into Student values (103,'Tom','Edmonton','Math');
insert into Student values (104,'Michelle','Toronto','Math');

insert into Scholarship values (102,'Ruthford',3000);
insert into Scholarship values (103,'Ruthford',3000);
insert into Scholarship values (103,'NSERC',6000);


-- Find the id and name of all the students with highest amount of scholarship
CREATE TEMPORARY TABLE temp1 
AS SELECT s.s_id,s.s_name, sum(h.amount) as total
   FROM   student s, scholarship h
   WHERE  s.s_id = h.s_id
   GROUP BY s.s_id, s.s_name;

CREATE TEMPORARY TABLE temp2
AS SELECT s.s_id,s.s_name, sum(h.amount) as total
   FROM   student s, scholarship h
   WHERE  s.s_id = h.s_id
   GROUP BY s.s_id, s.s_name;

SELECT s_id, s_name 
FROM   temp1 
WHERE  total >= ALL (SELECT total FROM temp2);

DROP TEMPORARY table temp1;
DROP TEMPORARY table temp2;
