drop trigger employee_supervisor;
drop table employee;
drop table supervision;


CREATE TABLE employee(
  e_id int, 
  e_name varchar(64), 
  position varchar(64), 
  salary decimal(10,2) 
) 
PARTITION BY GRID (e_id) TO 2 NODES WITH  mod (2);

CREATE TABLE supervision( 
  e_id int,
  e_name varchar(64), 
  s_name varchar(64) 
) 
PARTITION BY GRID (e_id) TO 2 NODES WITH  mod (2); 

delimiter |
create trigger employee_supervisor
  before insert  on employee
  for each row

  begin
     declare   dummy int;
     declare   msg varchar(200); 
     select count(*) into dummy from supervision
     where new.e_name = supervision.e_name
           and supervision.s_name is not NULL;
          
     if ( dummy < 1 ) then
       set msg = 'employee must has a supervisor';  
            SIGNAL SQLSTATE 'HY000' SET MESSAGE_TEXT = msg; 
     end if;
  end;
|
delimiter ;

INSERT INTO supervision VALUES (1,'tom','peter');
INSERT INTO employee VALUES (1,'tom','engineer',1000.00);
INSERT INTO employee VALUES (2,'shelly','engineer',1000.00);


select * from supervision;

select * from employee;
